状态页面
GET https://uptime4.com/api/status-pages/
curl --request GET \
--url 'https://uptime4.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/' \
--header 'Authorization: Bearer {api_key}' \
| 参数 | 细节 | 描述 |
|---|---|---|
| search | 可选的 字符串 | 搜索字符串。 |
| search_by | 可选的 字符串 | 您正在按哪个字段搜索。允许的值为:name。 |
| is_enabled | 可选的 布尔值 | |
| project_id | 可选的 整数 | |
| domain_id | 可选的 整数 | |
| datetime_field | 可选的 字符串 | 允许的值:datetime, last_datetime |
| datetime_start | 可选的 字符串 | Filter results starting from this datetime. Y-m-d H:i:s format. |
| datetime_end | 可选的 字符串 | Filter results up to this datetime. Y-m-d H:i:s format. |
| order_by | 可选的 字符串 | 按哪个字段排序结果。允许的值有:status_page_id, datetime, last_datetime, name, pageviews。 |
| order_type | 可选的 字符串 | 结果的排序。允许的值为:ASC 表示升序排序,DESC 表示降序排序。 |
| page | 可选的 整数 | 您想要结果的页码。默认为 1。 |
| results_per_page | 可选的 整数 | 每页您想要多少个结果。允许的值是:10, 25, 50, 100, 250, 500, 1000。默认为25。 |
{
"data": [
{
"id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/s/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": ""
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-04-21 02:10:33",
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://uptime4.com/api/status-pages?page=1",
"last": "https://uptime4.com/api/status-pages?page=1",
"next": null,
"prev": null,
"self": "https://uptime4.com/api/status-pages?page=1"
}
}
GET https://uptime4.com/api/status-pages/{status_page_id}
curl --request GET \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://uptime4.com/api/status-pages/{status_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"domain_id": 0,
"monitors_ids": [1,2,3],
"project_id": 0,
"url": "example",
"full_url": "https://uptime4.com/s/example/",
"name": "Example",
"description": "This is just a simple description for the example status page 👋.",
"socials": {
"facebook": "example",
"instagram": "example",
"twitter": "example",
"email": "",
"website": "https://example.com/"
},
"logo_url": "",
"favicon_url": ""
"password": false,
"timezone": "UTC",
"custom_js": "",
"custom_css": "",
"pageviews": 50,
"is_se_visible": true,
"is_removed_branding": false,
"is_enabled": true,
"datetime": "2026-04-21 02:10:33",
}
}